;************************************************************
;		MIKROSEKUNDOWA PROCEDURA OPӏNIAJCA
;
; 						Rafa Baranowski (C) 2004
;
; Parametry:
;	R16 - warto opnienia w dziesitkach us (dla zera - 2560 us)
;
; Wymagane stae:
;	SYS_FREQ - czstotliwo pracy w MHz
;
Czekaj_us:
	push	R17
	push	R18

	mov	R18, R16
	ldi	R17, SYS_FREQ

Czekaj_us_0:
	mov	R16, R18		;______
					;      \
Czekaj_us_1:			;       |
	nop				;__     |
	nop				;  \    |
	nop				;   |   |
	nop				;   |   |
	nop				;   p   p
	nop				;   1   0
	nop				;   |   |
	dec	R16			;   |   |
	brne	Czekaj_us_1		;__/    |
					;       |
	dec	R17			;       |
	brne	Czekaj_us_0		;______/

	pop	R18
	pop	R17
	ret
